devguard
Vendor assessments

Create a vendor assessment.

POST
/vendor-assessments/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/vendor-assessments/" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "vendorId": "string",    "organizationId": "string",    "assessorId": "string"  }'
{  "id": "string",  "shortId": -9007199254740991,  "organizationId": "string",  "createdAt": "string",  "updatedAt": "string",  "title": "string",  "performedAt": "string",  "nextReviewAt": "string",  "findings": "string",  "recommendations": "string",  "status": "DRAFT",  "capturedInherentProbability": -9007199254740991,  "capturedInherentImpact": -9007199254740991,  "capturedResidualProbability": -9007199254740991,  "capturedResidualImpact": -9007199254740991,  "questionnaireId": "string",  "questionnaireSnapshot": null,  "vendorId": "string",  "assessorId": "string"}

How is this guide?